//
//	buildTimeCorr: test the TimeCorrelator class
//

#include <iostream>
#include <cmath>
#include <cassert>
#include "TimeCorrelator.h"
#include "OalServer.h"

int main()
{

	  string odfdir = ::getenv("SAS_ODF");
	  oalServer.newOdf(odfdir);

	  const TimeCorrelator *tcorr = oalServer.timeCorrelator();

	  std::cout << *tcorr->obt2MetInterpolator() << std::endl;

}

