//
//	oalmisc.cc: test miscelaneous OAL functionality
//
//	DESCRIPTION:
//		This test program checks miscellaneous OAL functionality.
//
//	CHANGE HISTORY:
//		UL, 1999-02-02: 1.0.0: - first version
//		
//	AUTHOR:
//		U. Lammers, Tue Feb  2 14:38:37 MET 1999
//

#include <iostream>
#include <cassert>
#include "errstr.h"
#include "OalServer.h"
#include "Xmm.h"

int main()
{
	const Odf *odf = oalServer.newOdf("../odf");

	assert(odf->expandSetName("xxx") == "xxx");
	cout<<odf->expandSetName("odf(emos1, ima, 1, 0)")<<endl;
//	assert(odf->expandFileName("odf(emos1, ima, 1, 0)")
//				== "../odf/0010_PPPPPPOOLL_M1S00110IME.FIT");

	cout<<"\nAll tests successfully passed.\n";

	return 0;
}


